Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#1204 closed enhancement (wontfix)

sigset_t type change proposal

Reported by: Johnny Willemsen Owned by: Joel Sherrill
Priority: normal Milestone: 4.8
Component: unspecified Version: 4.6
Severity: minor Keywords:
Cc: ralf.corsepius@… Blocked By:
Blocking:

Description

sigset_t is defined as unsigned long with rtems, this causes ambiguity problems when building some ACE tests, why not define sigset_t as struct type as for example linux does? That resolves the ambiguity

Change History (3)

comment:1 Changed on 01/09/07 at 18:18:36 by Joel Sherrill

Cc: Ralf Corsepius added

comment:2 Changed on 08/05/08 at 15:58:35 by Joel Sherrill

Resolution: wontfix
Status: newclosed

No pressing reason to grow beyond 32 bits and no recent comments.

comment:3 Changed on 10/10/17 at 06:35:44 by Sebastian Huber

Component: miscunspecified
Note: See TracTickets for help on using tickets.